package info.bukova.isspst.services.signeddocs;

import info.bukova.isspst.data.DataModel;
import info.bukova.isspst.data.Member;
import info.bukova.isspst.data.SignedDocument;
import info.bukova.isspst.data.SignedDocumentItem;
import info.bukova.isspst.services.Service;
import info.bukova.isspst.ui.signeddocs.SignedDocsTreeNode;
import org.zkoss.zul.TreeModel;
import org.zkoss.zul.TreeNode;

import java.util.List;

public interface SignedDocumentService extends Service<SignedDocument> {

	SignedDocument getForEntity(DataModel entity);
	SignedDocumentItem getItem(DataModel entity, long reportId);
	void addFromApprove(SignedDocument document);
	void delFromApprove(SignedDocument document);
	void deleteForEntity(DataModel entity);

	public List<SignedDocument> getActualList();
	public List<SignedDocument> getArchiveList();
	public TreeModel<TreeNode<SignedDocumentItem>> getTree();
}
